var skipScenes = false;
var counter = 0;
var choice = 0;
var currentPos = '';
var lastPos = '';
let shower = false;
let lie = false;
var sexSound = 0;
let sequencePictures = [
  'knee',
  'head',
  'knee',
  'knee',
  'head',
  'knee',
  'head',
  'head',
  'knee',
  'head',
];
var soundMiniGame = false;

var gameLine = {
  1: {
    video: 'menu_1',
    loop: false,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      setTimeout(function () {
        PlaySound('sounds/sfx_ball_menu.mp3', 0);
      }, 400);
    },
    click: function () {},
    close: function () {},
    delete: true,
    onended: function () {},
    actions: [],
  },
  2: {
    video: 'menu_2',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: true,
    open: function () {},
    click: function () {},
    close: function () {},
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'play',
        x: 0,
        y: 0,
        next: true,
        open: function () {},
        click: function () {
          ObjSet('spr_interface_play', { alp: 0, input: 0 });
          ObjSet('spr_interface_play2', { alp: 0, input: 0 });
        },
      },
    ],
  },
  3: {
    video: 'boy_1_girl_1_girl_2_1',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: true,
    open: function () {},
    click: function () {},
    close: function () {},
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '1',
        x: 360,
        y: 200,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '2',
        x: 430,
        y: 1,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '3',
        x: 360,
        y: 200,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '4',
        x: 430,
        y: 1,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '5',
        x: 360,
        y: 200,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '6',
        x: 430,
        y: 1,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '7',
        x: 360,
        y: 200,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '8',
        x: 430,
        y: 1,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '9',
        x: 360,
        y: 200,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '10',
        x: 430,
        y: 1,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '11',
        x: 360,
        y: 200,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '12',
        x: 430,
        y: 1,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '13',
        x: 360,
        y: 200,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '14',
        x: 430,
        y: 1,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '15',
        x: 360,
        y: 200,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '16',
        x: 430,
        y: 1,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '17',
        x: 360,
        y: 200,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '18',
        x: 430,
        y: 1,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '19',
        x: 360,
        y: 200,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'play',
        x: 0,
        y: 0,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
  },
  4: {
    video: 'boy_2_girl_3_1',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: false,
    open: function () {},
    click: function () {},
    close: function () {},
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '20',
        x: 300,
        y: 250,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '21',
        x: 630,
        y: 50,
        next: false,
        open: function () {},
        click: function () {
          ObjSet('spr_interface_turn_on', {
            alp: 1,
            input: 1,
            event_mup: function () {
              ObjSet('spr_interface_turn_on', { alp: 0, input: 0 });
              renderGameScene();
            },
          });
        },
      },
    ],
  },
  5: {
    video: 'boy_2_girl_3_2',
    loop: false,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      setTimeout(function () {
        PlaySound('sounds/sfx_click_remote.mp3', 0);
      }, 2000);
    },
    click: function () {},
    close: function () {},
    delete: true,
    onended: function () {},
    actions: [],
  },
  6: {
    video: 'boy_2_girl_3_3',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: true,
    open: function () {},
    click: function () {},
    close: function () {},
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '22',
        x: 300,
        y: 250,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'play',
        x: 0,
        y: 0,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
  },
  7: {
    video: 'boy_3_girl_4_girl_5_1',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: true,
    open: function () {},
    click: function () {},
    close: function () {},
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '23',
        x: 400,
        y: 240,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '24',
        x: 20,
        y: 20,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '25',
        x: 400,
        y: 240,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '26',
        x: 20,
        y: 20,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '27',
        x: 400,
        y: 240,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '28',
        x: 20,
        y: 20,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '29',
        x: 400,
        y: 240,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'play',
        x: 0,
        y: 0,
        next: true,
        open: function () {},
        click: function () {
          soundMiniGame = true;
        },
      },
    ],
  },
  8: {
    video: 'boy_4_1',
    loop: true,
    next: false,
    smoothStart: true,
    smoothFinish: false,
    open: function () {
      PlaySound('sounds/env_kick_the_ball.mp3', 1);

      let ballCounter = 0;
      ObjSet('spr_interface_number', { alp: 1 });
      ObjSet('spr_interface_' + sequencePictures[ballCounter] + '_2', {
        alp: 1,
      });
      ObjSet('spr_interface_head_1', {
        alp: 1,
        input: 1,
        event_mup: function () {
          StopSound('sounds/env_kick_the_ball.mp3', 0);
          PlaySound('sounds/sfx_head_ball.mp3', 0);

          if (sequencePictures[ballCounter] === 'head') {
            PlaySound('sounds/sfx_win.mp3', 0);
            ObjSet('spr_interface_head_1', { alp: 0.4, input: 0 });
            ObjSet('spr_interface_knee_1', { alp: 0.4, input: 0 });
            ObjSet('boy_head', {
              alp: 1,
            });
            document.querySelector('#boy_head').play();

            setTimeout(() => {
              ObjSet('boy_head', { alp: 0 });
              ObjSet('spr_interface_head_1', { alp: 1, input: 1 });
              ObjSet('spr_interface_knee_1', { alp: 1, input: 1 });
              PlaySound('sounds/env_kick_the_ball.mp3', 1);
            }, 2200);
            ballCounter++;
            if (ballCounter === 10) {
              setTimeout(function () {
                ObjSet('spr_interface_head_1', { alp: 0, input: 0 });
                ObjSet('spr_interface_knee_1', { alp: 0, input: 0 });
                ObjSet('spr_interface_number', { alp: 0 });
                renderGameScene();
              }, 2300);
            }
            ObjSet(
              'spr_interface_' + sequencePictures[ballCounter - 1] + '_2',
              {
                alp: 0,
                input: 1,
              }
            );
            document.querySelector(
              '#spr_interface_number'
            ).style.backgroundImage = `url("images/${ballCounter}_mg.png")`;
            if (ballCounter !== 10) {
              ObjSet('spr_interface_' + sequencePictures[ballCounter] + '_2', {
                alp: 1,
                input: 1,
              });
            }
          } else {
            PlaySound('sounds/sfx_fail.mp3', 0);
            ObjSet('spr_interface_head_1', { alp: 0.4, input: 0 });
            ObjSet('spr_interface_knee_1', { alp: 0.4, input: 0 });
            ObjSet('boy_head', {
              alp: 1,
            });
            document.querySelector('#boy_head').play();
            setTimeout(() => {
              ObjSet('boy_head', { alp: 0 });
              ObjSet('spr_interface_head_1', { alp: 1, input: 1 });
              ObjSet('spr_interface_knee_1', { alp: 1, input: 1 });
              PlaySound('sounds/env_kick_the_ball.mp3', 1);
            }, 2200);
          }
        },
      });
      ObjSet('spr_interface_knee_1', {
        alp: 1,
        input: 1,
        event_mup: function () {
          StopSound('sounds/env_kick_the_ball.mp3', 0);
          setTimeout(() => {
            PlaySound('sounds/sfx_knee_ball.mp3', 0);
          }, 800);

          if (sequencePictures[ballCounter] === 'knee') {
            PlaySound('sounds/sfx_win.mp3', 0);
            ObjSet('spr_interface_head_1', { alp: 0.4, input: 0 });
            ObjSet('spr_interface_knee_1', { alp: 0.4, input: 0 });
            ObjSet('boy_knee', {
              alp: 1,
            });
            document.querySelector('#boy_knee').play();
            PlaySound('sounds/sfx_knee_ball.mp3', 0);
            setTimeout(() => {
              ObjSet('boy_knee', { alp: 0 });
              ObjSet('spr_interface_head_1', { alp: 1, input: 1 });
              ObjSet('spr_interface_knee_1', { alp: 1, input: 1 });
              PlaySound('sounds/env_kick_the_ball.mp3', 1);
            }, 2200);
            ballCounter++;
            if (ballCounter === 10) {
              setTimeout(function () {
                ObjSet('spr_interface_head_1', { alp: 0, input: 0 });
                ObjSet('spr_interface_knee_1', { alp: 0, input: 0 });
                ObjSet('spr_interface_number', { alp: 0 });
                renderGameScene();
              }, 2300);
            }
            ObjSet(
              'spr_interface_' + sequencePictures[ballCounter - 1] + '_2',
              {
                alp: 0,
                input: 1,
              }
            );
            document.querySelector(
              '#spr_interface_number'
            ).style.backgroundImage = `url("images/${ballCounter}_mg.png")`;
            if (ballCounter !== 10) {
              ObjSet('spr_interface_' + sequencePictures[ballCounter] + '_2', {
                alp: 1,
                input: 1,
              });
            }
          } else {
            PlaySound('sounds/sfx_fail.mp3', 0);
            ObjSet('spr_interface_head_1', { alp: 0.4, input: 0 });
            ObjSet('spr_interface_knee_1', { alp: 0.4, input: 0 });
            ObjSet('boy_knee', {
              alp: 1,
            });
            document.querySelector('#boy_knee').play();
            setTimeout(() => {
              ObjSet('boy_knee', { alp: 0 });
              ObjSet('spr_interface_head_1', { alp: 1, input: 1 });
              ObjSet('spr_interface_knee_1', { alp: 1, input: 1 });
              PlaySound('sounds/env_kick_the_ball.mp3', 1);
            }, 2200);
          }
        },
      });
    },
    click: function () {},
    close: function () {
      StopSound('sounds/env_kick_the_ball.mp3', 0);
    },
    delete: false,
    onended: function () {},
    actions: [],
  },
  9: {
    video: 'boy_4_1',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: true,
    open: function () {
      PlaySound('sounds/env_kick_the_ball.mp3', 1);
    },
    click: function () {},
    close: function () {
      StopSound('sounds/env_kick_the_ball.mp3', 1);
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'play',
        x: 0,
        y: 0,
        next: true,
        open: function () {},
        click: function () {
          soundMiniGame = false;
        },
      },
    ],
  },
  10: {
    video: 'boy_3_girl_4_girl_5_2',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: true,
    open: function () {},
    click: function () {},
    close: function () {},
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '30',
        x: 400,
        y: 240,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '31',
        x: 220,
        y: 400,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '32',
        x: 400,
        y: 240,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '33',
        x: 220,
        y: 400,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '34',
        x: 400,
        y: 240,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'play',
        x: 0,
        y: 0,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
  },
  11: {
    video: 'sex_1_stop_1_talk',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: false,
    open: function () {},
    click: function () {},
    close: function () {},
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '35',
        x: 20,
        y: 360,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '36',
        x: 600,
        y: 400,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
  },
  12: {
    video: 'sex_1_stop',
    room: 'andressing',
    cum_image: './images/cum.png',
    countStopVideo: 5,
    countSlowVideo: 3,
    smoothStart: false,
    smoothFinish: true,
    cum: true,
    afterCum: true,
    manMoan: false,
    womanMoan: true,
    open: function () {},
    close: function () {
      StopSound('sounds/env_slap.mp3', 0);
      StopSound('sounds/env_finger.mp3', 0);
      StopSound('sounds/env_pussy.mp3', 0);
    },
    delete: false,
  },
  13: {
    video: 'sex_2_stop',
    room: 'joystick',
    cum_image: './images/cum.png',
    smoothStart: true,
    smoothFinish: true,
    cum: true,
    afterCum: true,
    manMoan: true,
    womanMoan: false,
    window: false,
    speedSlowVideo: 2,
    open: function () {
      sexSound = 3;
    },
    close: function () {},
    delete: false,
  },
  14: {
    video: 'sex_3_stop',
    room: 'joystick',
    cum_image: './images/cum.png',
    smoothStart: true,
    smoothFinish: true,
    cum: true,
    afterCum: true,
    manMoan: true,
    womanMoan: true,
    window: false,
    speedSlowVideo: 2,
    open: function () {
      sexSound = 1;
    },
    close: function () {},
    delete: false,
  },
  15: {
    video: 'boy_1_girl_1_girl_2_2',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: true,
    open: function () {},
    click: function () {},
    close: function () {},
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '37',
        x: 700,
        y: 400,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '38',
        x: 40,
        y: 200,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '39',
        x: 270,
        y: 400,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '40',
        x: 40,
        y: 200,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '41',
        x: 270,
        y: 400,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '42',
        x: 40,
        y: 200,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '43',
        x: 270,
        y: 400,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '44',
        x: 700,
        y: 400,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '45',
        x: 40,
        y: 200,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '46',
        x: 270,
        y: 400,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '47',
        x: 40,
        y: 200,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '48',
        x: 700,
        y: 400,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'play',
        x: 0,
        y: 0,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
  },
  16: {
    video: 'boy_3_girl_4_girl_5_3',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: true,
    open: function () {},
    click: function () {},
    close: function () {},
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '49',
        x: 270,
        y: 400,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '50',
        x: 20,
        y: 20,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '51',
        x: 270,
        y: 400,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '52',
        x: 20,
        y: 20,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '53',
        x: 570,
        y: 400,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '54',
        x: 20,
        y: 20,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '55',
        x: 270,
        y: 400,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '56',
        x: 20,
        y: 20,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '57',
        x: 270,
        y: 400,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '58',
        x: 20,
        y: 20,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '59',
        x: 270,
        y: 400,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'play',
        x: 0,
        y: 0,
        next: true,
        open: function () {},
        click: function () {
          soundMiniGame = true;
        },
      },
    ],
  },
  17: {
    video: 'boy_4_1',
    loop: true,
    next: false,
    smoothStart: true,
    smoothFinish: false,
    open: function () {
      PlaySound('sounds/env_kick_the_ball.mp3', 1);

      let ballCounter = 0;
      document.querySelector(
        '#spr_interface_number'
      ).style.backgroundImage = `url("images/0_mg.png")`;
      ObjSet('spr_interface_number', { alp: 1 });
      ObjSet('spr_interface_' + sequencePictures[ballCounter] + '_2', {
        alp: 1,
      });
      ObjSet('spr_interface_head_1', {
        alp: 1,
        input: 1,
        event_mup: function () {
          StopSound('sounds/env_kick_the_ball.mp3', 0);
          PlaySound('sounds/sfx_head_ball.mp3', 0);

          if (sequencePictures[ballCounter] === 'head') {
            PlaySound('sounds/sfx_win.mp3', 0);
            ObjSet('spr_interface_head_1', { alp: 0.4, input: 0 });
            ObjSet('spr_interface_knee_1', { alp: 0.4, input: 0 });
            ObjSet('boy_head', {
              alp: 1,
            });
            document.querySelector('#boy_head').play();
            setTimeout(() => {
              ObjSet('boy_head', { alp: 0 });
              ObjSet('spr_interface_head_1', { alp: 1, input: 1 });
              ObjSet('spr_interface_knee_1', { alp: 1, input: 1 });
              PlaySound('sounds/env_kick_the_ball.mp3', 1);
            }, 2200);
            ballCounter++;
            if (ballCounter === 10) {
              setTimeout(function () {
                ObjSet('spr_interface_head_1', { alp: 0, input: 0 });
                ObjSet('spr_interface_knee_1', { alp: 0, input: 0 });
                ObjSet('spr_interface_number', { alp: 0 });
                renderGameScene();
              }, 2300);
            }
            ObjSet(
              'spr_interface_' + sequencePictures[ballCounter - 1] + '_2',
              {
                alp: 0,
                input: 1,
              }
            );
            document.querySelector(
              '#spr_interface_number'
            ).style.backgroundImage = `url("images/${ballCounter}_mg.png")`;
            if (ballCounter !== 10) {
              ObjSet('spr_interface_' + sequencePictures[ballCounter] + '_2', {
                alp: 1,
                input: 1,
              });
            }
          } else {
            PlaySound('sounds/sfx_fail.mp3', 0);
            ObjSet('spr_interface_head_1', { alp: 0.4, input: 0 });
            ObjSet('spr_interface_knee_1', { alp: 0.4, input: 0 });
            ObjSet('boy_head', {
              alp: 1,
            });
            document.querySelector('#boy_head').play();

            PlaySound('sounds/sfx_head_ball.mp3', 0);
            setTimeout(() => {
              ObjSet('boy_head', { alp: 0 });
              ObjSet('spr_interface_head_1', { alp: 1, input: 1 });
              ObjSet('spr_interface_knee_1', { alp: 1, input: 1 });
              PlaySound('sounds/env_kick_the_ball.mp3', 1);
            }, 2200);
          }
        },
      });
      ObjSet('spr_interface_knee_1', {
        alp: 1,
        input: 1,
        event_mup: function () {
          StopSound('sounds/env_kick_the_ball.mp3', 0);
          setTimeout(()=>{
            PlaySound('sounds/sfx_knee_ball.mp3', 0);
          }, 800)
          
          if (sequencePictures[ballCounter] === 'knee') {
            PlaySound('sounds/sfx_win.mp3', 0);
            ObjSet('spr_interface_head_1', { alp: 0.4, input: 0 });
            ObjSet('spr_interface_knee_1', { alp: 0.4, input: 0 });
            ObjSet('boy_knee', {
              alp: 1,
            });
            document.querySelector('#boy_knee').play();
            setTimeout(() => {
              ObjSet('boy_knee', { alp: 0 });
              ObjSet('spr_interface_head_1', { alp: 1, input: 1 });
              ObjSet('spr_interface_knee_1', { alp: 1, input: 1 });
              PlaySound('sounds/env_kick_the_ball.mp3', 1);
            }, 2200);
            ballCounter++;
            if (ballCounter === 10) {
              setTimeout(function () {
                ObjSet('spr_interface_head_1', { alp: 0, input: 0 });
                ObjSet('spr_interface_knee_1', { alp: 0, input: 0 });
                ObjSet('spr_interface_number', { alp: 0 });
                renderGameScene();
              }, 2300);
            }
            ObjSet(
              'spr_interface_' + sequencePictures[ballCounter - 1] + '_2',
              {
                alp: 0,
                input: 1,
              }
            );
            document.querySelector(
              '#spr_interface_number'
            ).style.backgroundImage = `url("images/${ballCounter}_mg.png")`;
            if (ballCounter !== 10) {
              ObjSet('spr_interface_' + sequencePictures[ballCounter] + '_2', {
                alp: 1,
                input: 1,
              });
            }
          } else {
            PlaySound('sounds/sfx_fail.mp3', 0);
            ObjSet('spr_interface_head_1', { alp: 0.4, input: 0 });
            ObjSet('spr_interface_knee_1', { alp: 0.4, input: 0 });
            ObjSet('boy_knee', {
              alp: 1,
            });
            document.querySelector('#boy_knee').play();
            setTimeout(() => {
              ObjSet('boy_knee', { alp: 0 });
              ObjSet('spr_interface_head_1', { alp: 1, input: 1 });
              ObjSet('spr_interface_knee_1', { alp: 1, input: 1 });
              PlaySound('sounds/env_kick_the_ball.mp3', 1);
            }, 2200);
          }
        },
      });
    },
    click: function () {},
    close: function () {
      StopSound('sounds/env_kick_the_ball.mp3', 1);
    },
    delete: false,
    onended: function () {},
    actions: [],
  },
  18: {
    video: 'boy_4_1',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: true,
    open: function () {
      ObjSet('spr_interface_head_2', { alp: 0, input: 0 });
      ObjSet('spr_interface_knee_2', { alp: 0, input: 0 });
      PlaySound('sounds/env_kick_the_ball.mp3', 1);
    },
    click: function () {},
    close: function () {
      StopSound('sounds/env_kick_the_ball.mp3', 1);
    },
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'play',
        x: 0,
        y: 0,
        next: true,
        open: function () {},
        click: function () {
          soundMiniGame = false;
        },
      },
    ],
  },
  19: {
    video: 'boy_3_girl_4_girl_5_4',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: true,
    open: function () {},
    click: function () {},
    close: function () {},
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '60',
        x: 570,
        y: 400,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '61',
        x: 200,
        y: 60,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '62',
        x: 200,
        y: 400,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '63',
        x: 200,
        y: 60,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '64',
        x: 200,
        y: 400,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '65',
        x: 200,
        y: 60,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '66',
        x: 570,
        y: 400,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'play',
        x: 0,
        y: 0,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
  },
  20: {
    video: 'sex_4_stop',
    room: 'joystick',
    cum_image: './images/cum.png',
    smoothStart: true,
    smoothFinish: true,
    cum: true,
    afterCum: true,
    manMoan: false,
    womanMoan: false,
    window: false,
    speedSlowVideo: 2,
    open: function () {
      sexSound = 2;
    },
    close: function () {},
    delete: false,
  },
  21: {
    video: 'sex_5_stop',
    room: 'joystick',
    cum_image: './images/cum.png',
    smoothStart: true,
    smoothFinish: true,
    cum: true,
    afterCum: true,
    manMoan: false,
    womanMoan: true,
    window: false,
    speedSlowVideo: 2,
    open: function () {
      sexSound = 4;
    },
    close: function () {},
    delete: false,
  },
  gallery_sex_1_stop: {
    video: 'sex_1_stop',
    room: 'andressing',
    cum_image: './images/cum.png',
    countStopVideo: 5,
    countSlowVideo: 3,
    smoothStart: true,
    smoothFinish: true,
    cum: true,
    afterCum: true,
    manMoan: false,
    womanMoan: true,
    open: function () {},
    close: function () {
      StopSound('sounds/env_slap.mp3', 0);
      StopSound('sounds/env_finger.mp3', 0);
      StopSound('sounds/env_pussy.mp3', 0);
      currentPlaySlowVideo = '';
    },
    delete: false,
  },
  gallery_sex_2_stop: {
    video: 'sex_2_stop',
    room: 'joystick',
    cum_image: './images/cum.png',
    smoothStart: true,
    smoothFinish: true,
    cum: true,
    afterCum: true,
    manMoan: true,
    womanMoan: false,
    window: false,
    speedSlowVideo: 2,
    open: function () {
      sexSound = 3;
    },
    close: function () {
      currentPlaySlowVideo = '';
    },
    delete: false,
  },
  gallery_sex_3_stop: {
    video: 'sex_3_stop',
    room: 'joystick',
    cum_image: './images/cum.png',
    smoothStart: true,
    smoothFinish: true,
    cum: true,
    afterCum: true,
    manMoan: true,
    womanMoan: true,
    window: false,
    speedSlowVideo: 2,
    open: function () {
      sexSound = 1;
    },
    close: function () {
      currentPlaySlowVideo = '';
    },
    delete: false,
  },
  gallery_sex_4_stop: {
    video: 'sex_4_stop',
    room: 'joystick',
    cum_image: './images/cum.png',
    smoothStart: true,
    smoothFinish: true,
    cum: true,
    afterCum: true,
    manMoan: false,
    womanMoan: false,
    window: false,
    speedSlowVideo: 2,
    open: function () {
      sexSound = 2;
    },
    close: function () {
      currentPlaySlowVideo = '';
    },
    delete: false,
  },
  gallery_sex_5_stop: {
    video: 'sex_5_stop',
    room: 'joystick',
    cum_image: './images/cum.png',
    smoothStart: true,
    smoothFinish: true,
    cum: true,
    afterCum: true,
    manMoan: false,
    womanMoan: true,
    window: false,
    speedSlowVideo: 2,
    open: function () {
      sexSound = 4;
    },
    close: function () {
      currentPlaySlowVideo = '';
    },
    delete: false,
  },
};

function getGameLine() {
  return gameLine;
}
